Update a study status
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/status"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"studyId": "<string>",
"studyPlan": {
"name": "<string>",
"externalName": "<string>",
"description": "<string>",
"externalDescription": "<string>",
"startDate": "2025-01-01",
"endDate": "2025-01-02",
"researchPlanUrl": "<string>",
"participationLimit": 10,
"consentFormId": "<string>",
"incentive": {
"incentiveBudgetId": "<string>",
"amount": 123,
"customIncentiveId": "<string>",
"defaultCustomIncentiveValue": "<string>"
},
"includeScreener": true,
"brandingConfigId": "<string>",
"language": "en",
"scheduler": {
"interviewDurationMinutes": 60
}
},
"createdAt": "2023-11-07T05:31:56Z",
"createdFromTemplateId": "<string>",
"owners": [
{
"userId": "<string>",
"emailAccountId": "<string>",
"fullname": "<string>",
"email": "<string>"
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Studies
Update a study status
Update the status of a study in your workspace. This is the only way to programatically change a study’s status
POST
/
studies
/
{studyId}
/
status
Update a study status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Statuses a study can be updated to via the API
Available options:
PAUSED, CLOSED Response
The updated study
Study object
The type of study
Available options:
SURVEY, INTERVIEWS, UNMODERATED_TEST, GROUP_INTERVIEW The recruitment strategy for the study
Available options:
IN_RALLY, EXTERNAL The status of the study
Available options:
DRAFT, ACTIVE, PAUSED, CLOSED Study plan object
Show child attributes
Show child attributes
The ID of the template this study was created from, or null if not created from a template
Show child attributes
Show child attributes
⌘I